player = {}

function player.load()

	--Position Initialization 
	player.x = 58 	--Will adjust to make it random and still within the tiles
	player.y = 72 	

	--Parameters 
	player.width = 10
	player.height = 16

end

function player.draw()

	love.graphics.setColor( 0, 255, 0 )
	love.graphics.print( "@", player.x, player.y )

end

function player.update(dt)

	--movement 
	--local k_pressed = love.keypressed( key )
end

function player:get_outline( outline )
	outline = outline  --Outline should be a 2D array
end

function player.keypressed( key )
	--Checks
	if key == "up" then
		if outline[player.y - 16 - 72][player.x] == 0 then --72 is the starting location of the player and 16 is the size of each tile (y-values)
			player.y = player.y - 16					   --58 is the starting location and 10 is the tile size (x-values)
		end
	end

	if key == "down" then
		if outline[player.y + 16 - 72][player.x] == 0 then
			player.y = player.y + 16
		end
	end

	if key == "left" then
		if outline[player.y][player.x - 10 - 58] == 0 then
			player.x = player.x - 10
		end
	end

	if key == "right" then
		if outline[player.y][player.x + 10 - 58] == 0 then
			player.x = player.x + 10
		end
	end
end

